Bug 446097 - Review Request: pytraffic - sliding block puzzle board game
Review Request: pytraffic - sliding block puzzle board game
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-05-12 14:37 EDT by Sindre Pedersen Bjørdal
Modified: 2013-01-10 15:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 15:41:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2008-05-12 14:37:36 EDT
Spec URL: http://sindrepb.fedorapeople.org/packages/pytraffic.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/pytraffic-2.5.4-1.fc9.src.rpm

Description: 

PyTraffic is a Python version of the board game Rush Hour
created by Binary Arts Coporation. The goal is to remove the red
car out of the grid through the slot on the right. To do this you have to
slide the other cars out of the way.
Comment 1 Geoff Reedy 2008-05-17 00:30:35 EDT
I'm still pretty new at this so I don't want to be the official reviewer, but here's my unofficial one I 
guess:

Overall the package looks good, I've run down every applicable item in the review guidelines below. Incidentally, I'm the author of gtraffic which inspired pytraffic so it's neat to see this package 
submitted.

 MUST Items:

ok MUST: rpmlint output

  rpmlint is silent

ok MUST: name follows naming guidelines
ok MUST: spec file matches package name
ok MUST: The package must meet the Packaging Guidelines.
ok MUST: license is acceptable
ok MUST: license is correct
ok MUST: license file included in doc
-- MUST: The spec file must be written in American English.

  I suggest changing the puzzle count to 19,000 as that is the American convention

ok MUST: spec file is readable
ok MUST: source matches upstream
ok MUST: package builds successfully
ok MUST: BuildRequires is complete
ok MUST: owns created directories
ok MUST: A package must not contain any duplicate files in the %files listing.
ok MUST: permssions are correct
ok MUST: clean removes buildroot
ok MUST: macros used consistently
ok MUST: package contains code or permissable content
ok MUST: packaged does not depend on %doc files
ok MUST: gui app contains desktop file
ok MUST: doesn't own other package's files
ok MUST: install preps buildroot
ok MUST: All filenames in rpm packages must be valid UTF-8.

 SHOULD Items:

ok SHOULD: license files requested in upstream
-- SHOULD: description and summary transactions
ok SHOULD: builds in mock

  fedora-8-i386 and fedora-9-i386 build okay

-- SHOULD: compile on all supported architectures

  I've only got i386 so I can't test this

ok SHOULD: package works properly
ok SHOULD: subpackages require base package
ok SHOULD: require packages not files
Comment 2 Sindre Pedersen Bjørdal 2008-05-18 12:43:48 EDT
Thanks, you can do multi-arch builds via koji scratch builds btw. koji build
--scratch dist-f9 pytraffic-2.5.4-1.fc9.src.rpm
Comment 3 Geoff Reedy 2008-08-15 01:14:36 EDT
Some additional items have been brought to my attention, so I'm redoing this pre-review.

MUST Items:

ok - MUST: rpmlint must be run on every package. The output should be posted in the review.

  4 packages and 1 specfiles checked; 0 errors, 0 warnings.

ok - MUST: The package must be named according to the Package Naming Guidelines.
ok - MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines. 
ok - MUST: The package must meet the Packaging Guidelines.
ok - MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
?? - MUST: The License field in the package spec file must match the actual license.

The SWIG generated source file contains a BSD licensing clause. I'm not certain if it is just advising that SWIG is under BSD or declaring that it's output file is under BSD. This might mean that the proper License tag is GPLv2+ and BSD.

ok - MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
ok - MUST: The spec file must be written in American English.

 I suggest changing the puzzle count to 19,000 as that is the American convention

ok - MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
ok - MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.  If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
ok - MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
?? - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 

  koji is down at the moment so I can't attempt build on the other architectures

- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the [[Packaging/Guidelines#Exceptions |exceptions section of the Packaging Guidelines]] ; inclusion of those as BuildRequires is optional. Apply common sense.
na - MUST: The spec file MUST handle locales properly.
na - MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
ok - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. 
ok - MUST: A package must own all directories that it creates. 

XX - MUST: A package must not contain any duplicate files in the %files listing.

  The base package includes the extra theme files intended to be in the themes subpackage. The files section for the base package needs to have something like:

  %dir %{_datadir}/pytraffic
  %{_datadir}/pytraffic/*.py
  %{_datadir}/pytraffic/*.pyo
  %{_datadir}/pytraffic/*.pyc
  %{_datadir}/pytraffic/config.db
  %{_datadir}/pytraffic/doc
  %{_datadir}/pytraffic/libglade
  %{_datadir}/pytraffic/music
  %{_datadir}/pytraffic/*.egg-info
  %{_datadir}/pytraffic/*.desktop
  %{_datadir}/pytraffic/sound_test
  %{_datadir}/pytraffic/themes
  %{_datadir}/pytraffic/ttraffic.levels


ok - MUST: Permissions on files must be set properly. 
ok - MUST: Each package must have a %clean section
ok - MUST: Each package must consistently use macros
ok - MUST: The package must contain code, or permissable content.
ok - MUST: Large documentation files should go in a -doc subpackage.
ok - MUST: If a package includes something as %doc, it must not affect the runtime of the application.
na - MUST: Header files must be in a -devel package.
na - MUST: Static libraries must be in a -static package.
na - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
na - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
na - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
ok - MUST: Packages must NOT contain any .la libtool archives
ok - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed
ok - MUST: Packages must not own files or directories already owned by other packages.
ok - MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} or $RPM_BUILD_ROOT.
ok - MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:

na - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
?? - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
ok - SHOULD: The reviewer should test that the package builds in mock.

  Builds with fedora-8-i386 fedora-9-i386 and fedora-rawhide-i386

?? - SHOULD: The package should compile and build into binary rpms on all supported architectures.
ok - SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

XX - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

  This package installs icons so it should include the gtk-icon-cache scriptlets on Packaging/ScriptletSnippets

XX - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

  The dependency in the themes package should be fully versioned

na - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase
ok - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


The following items need to be addressed:

 * The licensing issue should be clarified. I'm not aware of nor have found any precedent for this situation. Probably a quick message on fedora-legal can clear it up.
 * The duplicated files need to be fixed. Use caution when including a directory in the files list
 * Koji needs to be back up so that the package can be tested for building on other architectures

Consider doing the following

 * Follow the recommendation in Package/ScriptletSnippets regarding icons
 * Fully version the base package dependency in the themes subpackage

So, IMO we're at NEEDSWORK here
Comment 4 Sindre Pedersen Bjørdal 2008-12-04 22:17:21 EST
Updated package:

- Fixed issue where main and sub-package included the same files. 
- Added gtk-icon-cache scriplet

Also did a koji build. http://koji.fedoraproject.org/koji/taskinfo?taskID=980089

As for the licensing information, I'm not sure I understand which file is in violation or how.
Comment 5 Sindre Pedersen Bjørdal 2008-12-04 22:18:01 EST
Oh, and updated files:
Spec URL: http://sindrepb.fedorapeople.org/packages/pytraffic.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/pytraffic-2.5.4-2.fc10.src.rpm
Comment 6 Alexey Torkhov 2009-02-28 10:40:11 EST
- rpmlint is saying error on package built for F-11 (rawhide):

pytraffic.x86_64: E: non-standard-executable-perm /usr/lib64/pytraffic/_hint.so 0775
pytraffic.x86_64: E: non-standard-executable-perm /usr/lib64/pytraffic/_sdl_mixer.so 0775

- Use "Requires: %{name} = %{version}-%{release}" for themes subpackage.
- Licensing of music and graphics should be clarified. And, if it is not GPLv2+ correspondent name added to License tag.
- Why change from 19.000 to 19,000 that was previously suggested wasn't made?
- Add proper game category like LogicGame when doing desktop-file-install.
- Remove "--vendor fedora" as per guidelines.
Comment 7 Alexey Torkhov 2009-02-28 10:56:05 EST
- Also, "Rush Hour" and company name should be removed from description as it is trademarks. Suggested change is to "PyTraffic is sliding block puzzle game. ..."
Comment 8 Alexey Torkhov 2009-03-09 13:40:53 EDT
ping?
Comment 9 Sindre Pedersen Bjørdal 2009-04-06 15:51:22 EDT
Sorry for the late response. 

I've written to the author of pytraffic to determine the licensing info of the bundled artwork and sound files. Awaiting response, once I get a response from the author I'll submit the rest of the updates and we can finally go forward with this package.
Comment 10 Miroslav Suchý 2012-12-11 16:57:05 EST
Ping? Any progress here? Or we can close this review?
Comment 11 François Cami 2013-01-10 15:41:11 EST
* Upstream seems dead (404):
  http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/
  and the last release seems to be more than 5 years old.
* the SPEC and SRPMs are not accessible anymore.

Closing.

Note You need to log in before you can comment on or make changes to this bug.